import RelativeJsonPointerError from "./RelativeJsonPointerError.mjs";
/**
 * @public
 */
/**
 * @public
 */
class CompilationRelativeJsonPointerError extends RelativeJsonPointerError {
  nonNegativeIntegerPrefix;
  indexManipulation;
  jsonPointerTokens;
  hashCharacter;
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    if (typeof structuredOptions !== 'undefined') {
      this.nonNegativeIntegerPrefix = structuredOptions.relativePointer.nonNegativeIntegerPrefix;
      this.indexManipulation = structuredOptions.relativePointer.indexManipulation;
      this.hashCharacter = structuredOptions.relativePointer.hashCharacter;
      if (Array.isArray(structuredOptions.relativePointer.jsonPointerTokens)) {
        this.jsonPointerTokens = [...structuredOptions.relativePointer.jsonPointerTokens];
      }
    }
  }
}
export default CompilationRelativeJsonPointerError;